Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_get_arc

## Name

librdf_model_get_arc -- return one arc (predicate) of an arc in an RDF graph given source (subject) and target (object)

## Synopsis

``librdf_node* `librdf_model_get_arc`` (librdf_model * `model`, librdf_node * `source`, librdf_node * `target`);`

## Arguments

`model`

  librdf_model object

`source`

  librdf_node source

`target`

  librdf_node target

## Description

Searches the model for arcs matching the given source and target and returns one librdf_node object

## Return value

a new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_model_get_source | Up | librdf_model_get_target